Additional Drivers is not discoverable in Quantal

Bug #1060543 reported by Jeremy Bicha on 2012-10-03
74
This bug affects 21 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Undecided
Unassigned
software-properties (Ubuntu)
Critical
Unassigned

Bug Description

Unless someone reads the Release Notes or has been reading the Ubuntu news, they'll have trouble finding Additional Drivers in Quantal.

This could be fixed somewhat by adding Keywords to the .desktop file. Too bad it's too late to do that for Quantal. We need to try to remember to add Keywords "breadcrumbs" when we move things around.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: software-properties-gtk 0.92.9
ProcVersionSignature: Ubuntu 3.5.0-16.25-generic 3.5.4
Uname: Linux 3.5.0-16-generic x86_64
ApportVersion: 2.6.1-0ubuntu1
Architecture: amd64
Date: Tue Oct 2 20:40:16 2012
PackageArchitecture: all
SourcePackage: software-properties
UpgradeStatus: No upgrade log present (probably fresh install)

Jeremy Bicha (jbicha) wrote :
Changed in software-properties (Ubuntu):
status: New → Confirmed

Take a look: https://wiki.ubuntu.com/QuantalQuetzal/TechnicalOverview/Beta2#Ubuntu

Other notable udates include:
*
*
*
* Jockey has been deprecated in favor of a "Drivers" component in software-properties.
*
*

Robert Roth (evfool) on 2012-11-21
Changed in software-properties (Ubuntu):
assignee: nobody → Robert Roth (evfool)
status: Confirmed → In Progress
Robert Roth (evfool) wrote :

Raised priority based on priority assigned to duplicate bug #1078100.

Changed in software-properties (Ubuntu):
importance: Undecided → Critical
Changed in hundredpapercuts:
milestone: none → raring-round-3
Martin Pitt (pitti) wrote :

I like the idea that was proposed on ubuntu-desktop: https://lists.ubuntu.com/archives/ubuntu-desktop/2012-November/004117.html

 "We can add back the "Additional Drivers" .desktop file, but change the Exec line to "software-properties-gtk --open-tab=4"

Robert Roth (evfool) wrote :

I have updated the merge proposal with pitti's suggestion:
* copied the jockey desktop file with its icons from jockey trunk (it gets installed with software-properties-gtk)
* renamed it to additional-drivers.desktop
* removed the control center panel category
* updated the translation domain

Robert Roth (evfool) on 2012-11-23
Changed in software-properties (Ubuntu):
status: In Progress → Fix Committed
Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
Robert Roth (evfool) wrote :

This has not been released to Raring yet, it only has been committed to the trunk of the source code repository, resetting status to Fix Committed.

Changed in software-properties (Ubuntu):
status: Fix Released → Fix Committed
Changed in hundredpapercuts:
status: New → Fix Committed
Jeremy Bicha (jbicha) wrote :

This was fixed in software-properties 0.92.14.

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
assignee: Robert Roth (evfool) → nobody
Changed in hundredpapercuts:
status: Fix Committed → Fix Released
Unit 193 (unit193) wrote :

While this is fixed in Ubuntu, it's still a problem for several flavors (Lubuntu, Ubuntustudio) and would be a problem for Xubuntu if it didn't ship it's own desktop file for the "Additional Drivers" item. In order to help others, something such as the one attached could be used (and thus dropped from Xubuntu.)

Michael Vogt (mvo) on 2014-01-21
Changed in software-properties (Ubuntu):
status: Fix Released → In Progress
Michael Vogt (mvo) wrote :

software-properties (0.92.35) trusty; urgency=low

  * Add "Additional Drivers" desktop file for the non {GNOME,Unity,KDE}
    flavors (LP: #1060543) - thanks to Unity193

Date: Fri, 04 Apr 2014 08:30:41 +0200
Changed-By: Michael Vogt <email address hidden>
https://launchpad.net/ubuntu/trusty/+source/software-properties/0.92.35

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.92.35

---------------
software-properties (0.92.35) trusty; urgency=low

  * Add "Additional Drivers" desktop file for the non {GNOME,Unity,KDE}
    flavors (LP: #1060543) - thanks to Unity193
 -- Michael Vogt <email address hidden> Fri, 04 Apr 2014 08:30:41 +0200

Changed in software-properties (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers